A plugin to deploy to codeberg pages. Basically takes a folder and pushes it to the "pages" branch in the same repo..

# Usage

The following settings changes this plugin's behavior.

* param1 (optional) does something.
* param2 (optional) does something different.

Below is an example `.drone.yml` that uses this plugin.

```yaml
kind: pipeline
name: default

steps:
- name: run itsblue.dev/plugins/codeberg-pages-deploy plugin
  image: itsblue.dev/plugins/codeberg-pages-deploy
  pull: if-not-exists
  settings:
    folder: public
    ssh_key: foo
```

# Building

Build the plugin binary:

```text
scripts/build.sh
```

Build the plugin image:

```text
docker build -t itsblue.dev/plugins/codeberg-pages-deploy -f docker/Dockerfile .
```

# Testing

Execute the plugin from your current working directory:

```text
docker run --rm -e PLUGIN_FOLDER=public -e PLUGIN_SSH_KEY=foo \
  -e DRONE_COMMIT_SHA=8f51ad7884c5eb69c11d260a31da7a745e6b78e2 \
  -e DRONE_COMMIT_BRANCH=master \
  -e DRONE_BUILD_NUMBER=43 \
  -e DRONE_BUILD_STATUS=success \
  -w /drone/src \
  -v $(pwd):/drone/src \
  itsblue.dev/plugins/codeberg-pages-deploy
```
